SoDrawStyle(3IV)

NAME
SoDrawStyle — node that defines the style to use when rendering

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoDrawStyle

SYNOPSIS
#include <Inventor/nodes/SoDrawStyle.h>

enum Style {
SoDrawStyle::FILLED
Draw filled regions
SoDrawStyle::LINES
Draw only outlines (wire frame)
SoDrawStyle::POINTS
Draw points at vertices
SoDrawStyle::INVISIBLE
Do not draw anything at all
}

Fields from class SoDrawStyle:

SoSFEnum
style
SoSFFloat
pointSize
SoSFFloat
lineWidth
SoSFUShort
linePattern

Methods from class SoDrawStyle:

SoDrawStyle()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node defines the current drawing style for all subsequent shape nodes in a scene graph. SoDrawStyle specifies how primitives should be rendered. The drawing style has no effect on picking or callback primitive generation.

FIELDS
SoSFEnum
style
Drawing style.

SoSFFloat
pointSize
Radius of points (for POINTS style).

SoSFFloat
lineWidth
Width of lines (for LINES style).

SoSFUShort
linePattern
Stipple pattern for lines (for LINES style). Values can range from 0 (invisible) to 0xffff (solid). This specifies how dashed or dotted lines will be drawn.

METHODS

SoDrawStyle()
Creates a drawing style node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction, SoCallbackAction
Sets the current drawing style.

FILE FORMAT/DEFAULTS
DrawStyle {
style	FILLED
pointSize	0
lineWidth	0
linePattern	0xffff
}

SEE ALSO
SoLightModel, SoPickStyle, SoShapeHints